### `scrollbarTop`

Event fires when the top scroll boundary state changes (for use in parent components).

**Parameters:**
- `isTop: boolean` — `true` if scroll is at the top position

### `scrollbarReachTop`

Event fires when the top scroll boundary is reached (for use in parent components).

### `scrollbarLeaveTop`

Event fires when leaving the top scroll boundary (for use in parent components).

### `scrollbarBottom`

Event fires when the bottom scroll boundary state changes (for use in parent components).

**Parameters:**
- `isBottom: boolean` — `true` if scroll is at the bottom position

### `scrollbarReachBottom`

Event fires when the bottom scroll boundary is reached (for use in parent components).

### `scrollbarLeaveBottom`

Event fires when leaving the bottom scroll boundary (for use in parent components).

### `scrollbarEdge`

Event fires when any scroll boundary state changes (for use in parent components).

**Parameters:**
- `isTop: boolean` — `true` if scroll is at the top position
- `isBottom: boolean` — `true` if scroll is at the bottom position
- `edge: 'top' | 'bottom'` — type of boundary that changed
